dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:SetMaxChemistry(1200)

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);

-- skewed block formation
LManager:AddTable(eTYPE_TABLE1, 250, 260);
LManager:AddTable(eTYPE_TABLE2, 440, 260);
LManager:AddTable(eTYPE_TABLE4, 200, 375);
LManager:AddTable(eTYPE_TABLE5, 490, 375);
LManager:AddTable(eTYPE_TABLE7, 150, 490);
LManager:AddTable(eTYPE_TABLE8, 540, 490);

LManager:AddCandle(165, 74, 25000);
LManager:AddCandle(285, 74, 25000);
LManager:AddCandle(576, 74, 25000);


seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED9);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED10);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 6;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 22000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 69000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 123000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 178000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 218000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 61000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 83000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 105000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 130000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 170000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 228000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 257000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 20000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 54000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 99000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 135000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 230000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 12000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 50000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 99000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 142000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 186000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 260000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST10);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 49000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 90000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 145000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 163000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 192000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 210000;
guest.needs[7] = eWANT_GIFT;
guest.times[7] = 245000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 25000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 90000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 151000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 203000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(3,4);
LManager:SetLevelScores(8800, 9365);
LManager:SetLevelTime(45000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();